Skip to main content
  • In Stock
  • Sold by Newegg
Department
Show More
Brands
Show More
Price
Show More
Sold by
Availability
Useful Links
Show More
avatar

Any questions? Our AI mode will help you find out quickly.

Sort By:
View:
Electric Shaver Rotary Razor Men Cordless Beard Trimmer Pop-Trimmer Waterproof
Quick View
Electric Shaver Rotary Razor Men Cordless Beard Trimmer Pop-Trimmer Waterproof
  • Brand: Hatteker
  • Series: RSCX-7568
  • Part Number: 7568DXIN
  • Type: Rotary
  • Model #: 973189598218
  •  
  • $37.99 –
  • Free Shipping
Electric Beard Trimmer for Men,Nose Hair Trimmer & Men's Electric Razor 10-in-1 Grooming Kit Cordless Shaver Gift-Ready for Men(Black)
Quick View
  •  
  • $37.99 –
  • Free Shipping
Hair Clippers for Men, Cordless Beard Trimmer, Grooming Kit, Gray | T-Blade, 6500RPM, 1-22mm Adjustable Comb, Type-C, 180min Runtime, for Beard, Stubble, Nose and Crisp Edges, Men Gift
Quick View
  •  
  • $79.99 –
  • Free Shipping
Hair Clippers for Men, Cordless Beard Trimmer, Grooming Kit, Bronze | T-Blade, 6500RPM, 1-22mm Adjustable Comb, Type-C, 180min Runtime, for Beard, Stubble, Nose and Crisp Edges, Men Gift
Quick View
Hair Clippers for Men, Cordless Beard Trimmer, Grooming Kit, Bronze | T-Blade, 6500RPM, 1-22mm Adjustable Comb, Type-C, 180min Runtime, for Beard, Stubble, Nose and Crisp Edges, Men Gift
  • Brand: Ufree
  • Series: Ufree 3 in 1 Mens Beard Trimmer
  • Part Number: U-2226
  • Type: Ufree 3 in 1 Mens Beard Trimmer
  • Model #: 996311206048
  •  
  • $79.99 –
  • Free Shipping
Electric Razor for Men - 4 in 1 Rotary Men Shaver Beard Trimmer | Waterproof USB Electric Shaver Fast Charging - Cordless Beard, Nose, Hair Trimmer, Men Electric Razor Gift for Dad, Boyfriend
Quick View
Electric Razor for Men - 4 in 1 Rotary Men Shaver Beard Trimmer | Waterproof USB Electric Shaver Fast Charging - Cordless Beard, Nose, Hair Trimmer, Men Electric Razor Gift for Dad, Boyfriend
  • Brand: YONGYAO
  • Series: Electric Razor for Men, 4 in 1 Rotary Men Shaver Beard Trimmer
  • Part Number: YY100006-US1A
  • Type: Rotary
  • Model #: 340343980930
  •  
  • $76.99 –
  • Free Shipping
Men Ball Shaver, 3-in-1 Titanium Blade Pubic Trimmer IPX7 Wet Dry Electric Razor
Quick View
Men Ball Shaver, 3-in-1 Titanium Blade Pubic Trimmer IPX7 Wet Dry Electric Razor
  • Brand: Zivelier
  • Series: 2018MEN
  • Part Number: 2018MEN
  • Type: 2018MEN
  • Model #: 894353042651
  •  
  • $39.99 –
  • Free Shipping
Men Ball Shaver, 3-in-1 Titanium Blade Pubic Trimmer IPX7 Wet Dry Electric Razor
Quick View
Men Ball Shaver, 3-in-1 Titanium Blade Pubic Trimmer IPX7 Wet Dry Electric Razor
  • Brand: Zivelier
  • Series: 2018MEN
  • Part Number: 2018MEN
  • Type: 2018MEN
  • Model #: 376182117552
  •  
  • $39.99 –
  • Free Shipping
7D Floating Head Shaver for Bald Men, Rotary Wet/Dry Electric Razor | Magnetic Detachable Blades for Easy Cleaning, Smooth Close Shave, Waterproof, USB-C Charging, LED Display, Beard Shavers
Quick View
  •  
  • $37.99 –
  • Free Shipping
Clippers and Trimmers Set, Cordless Hair Clippers for Men, Barber Clippers Set
Quick View
Clippers and Trimmers Set, Cordless Hair Clippers for Men, Barber Clippers Set
  • Brand: Jack & Rose
  • Part Number: RFC-676+RFC-667
  • Features: Dry Shaving, Battery Powered
  • Number of Heads: Rechargeable, Hair Clipper
  • Model #: 873532935242
  •  
  • $63.99 –
  • Free Shipping
Mens Body Hair Beard Trimmer Groin Trimmer Mens Grooming Kit Electric Razor Body Shaver Groomer Waterproof 6 in 1
Quick View
Mens Body Hair Beard Trimmer Groin Trimmer Mens Grooming Kit Electric Razor Body Shaver Groomer Waterproof 6 in 1
  • Brand: Hatteker
  • Series: RFC-588
  • Part Number: RFC-588
  • Type: Body Trimmer
  • Model #: 000411519867
  •  
  • $45.99 –
  • Free Shipping
6-in-1 Beard Trimmer for Men, Electric Shaver Razor, Hair Trimmer | Professional IPX6 Waterproof Hair Trimmer, 4.5H Working Time, Type-C, LED Display, Men Grooming Kit for Mustache, Nose, Body
Quick View
6-in-1 Beard Trimmer for Men, Electric Shaver Razor, Hair Trimmer | Professional IPX6 Waterproof Hair Trimmer, 4.5H Working Time, Type-C, LED Display, Men Grooming Kit for Mustache, Nose, Body
  • Brand: Ufree
  • Part Number: UF2256
  • Features: Battery Powered
  • Number of Heads: USB Charging, Storage bag, Lubricating oil, Charging cable, Cleaning brush
  • Model #: 485467306692
  •  
  • $72.99 –
  • Free Shipping
Manscape Body Hair Trimmer for Men, Waterproof Groin Trimmer, Electric Razor Ball Shaver for Chest Pubic Leg Arm Underarm Back Nose, Rechargeable Wet/Dry Groomer, Black
Quick View
  •  
  • $45.99 –
  • Free Shipping
Mens Beard Trimmer Grooming kit Hair Trimmer Mustache Trimmer Body Groomer for Nose Ear Facial Hair Cordless Waterproof 5 in 1
Quick View
Mens Beard Trimmer Grooming kit Hair Trimmer Mustache Trimmer Body Groomer for Nose Ear Facial Hair Cordless Waterproof 5 in 1
  • Brand: Hatteker
  • Series: RFC-598
  • Part Number: 598005DJ
  • Type: RFC-598
  • Model #: 058559700955
  •  
  • $55.99 –
  • Free Shipping
6-in-1 Hair Clipper Beard Trimmer for Men, IPX6 Waterproof Electric Shaver | Razor&Cordless Hair Clipper Grooming Kit Hair Trimmer for Nose, Body, Face and Mustache, Gifts for Men
Quick View
  •  
  • $64.99 –
  • Free Shipping
Upgraded Head Shaver for Bald MenMagnetic Electric Razor Hair Trimmer for MenLarge Battery Capacity, Rechargeable LED Display Waterproof Wet/Dry Head Shavers with Type-C Charge
Quick View
  •  
  • $39.99 –
  • Free Shipping
7D Electric Head Shaver for Bald Men, Electric Razor for Men | Magnetic Detachable Floating Heads with Dual Speed, IPX6 Waterproof Wet Dry Shaver, Bald Head Shavers with LED Display
Quick View
  •  
  • $72.99 –
  • Free Shipping
Nose Hair Trimmer for Men with 3 Patented Magnetic Heads | Paintess Nose & Ear Hair Trimmer, Micro-Vacuum & Magnetic Head,USB-C Rechargeable ,Waterproof Design, Painless Grooming Kit,
Quick View
Nose Hair Trimmer for Men with 3 Patented Magnetic Heads | Paintess Nose & Ear Hair Trimmer, Micro-Vacuum & Magnetic Head,USB-C Rechargeable ,Waterproof Design, Painless Grooming Kit,
  • Brand: Audoc
  • Part Number: NOSE-01
  • Features: IPX6 Waterproof, Beard Trimming, Battery Powered
  • Number of Heads: nose trimmer
  • Model #: 391413624593
  •  
  • $72.99 –
  • Free Shipping
7D Electric Head Shaver for Bald Men, Electric Razor for Men | Magnetic Detachable Floating Heads with Dual Speed, IPX6 Waterproof Wet Dry Shaver, Bald Head Shavers with LED Display
Quick View
  •  
  • $61.99 –
  • Free Shipping
Electric Razor for Men,Innovative Mirror Design,Electric Shaver 20000 RPM Motor,Gentle & Smooth,Non-irritating to Skin,3 Floating Blade Heads,IPX7 Waterproof,Foil Shaver for Travel & Home Use
Quick View
  •  
  • $39.99 –
  • Free Shipping
Manscape Body Hair Trimmer - Waterproof Pubic Hair Ball Trimmer, Ceramic Blade Shavers Electric Razors for Men with USB-C Charging, Wet/Dry Use, Nick-Free Mens Grooming Kits, Gifts for Men
Quick View
Manscape Body Hair Trimmer - Waterproof Pubic Hair Ball Trimmer, Ceramic Blade Shavers Electric Razors for Men with USB-C Charging, Wet/Dry Use, Nick-Free Mens Grooming Kits, Gifts for Men
  • Brand: PRITECH
  • Series: Waterproof Pubic Hair Trimmer
  • Part Number: TGEU-PR-3233-Parent
  • Features: Ceramic, Battery Powered, true
  • Model #: 673703206436
  •  
  • $46.99 –
  • Free Shipping
Beard Trimmer for Men, 6-in-1 Men's Grooming Kit,IPX7 Waterproof Wet/Dry, 2-Speed electric razor for men, Easy-Swap Magnetic Heads, LED Display, 20-Length Dial, 4.5-hour battery life,USB-C,Argent
Quick View
  •  
  • $57.99 –
  • Free Shipping
Series 5 All-in-One Beard & Body Grooming Kit for Men, Cordless Trimmer, Hair Clippers & Shaver for Face, Hair & Body with Smooth Shave Head, AIO 5510
Quick View
Series 5 All-in-One Beard & Body Grooming Kit for Men, Cordless Trimmer, Hair Clippers & Shaver for Face, Hair & Body with Smooth Shave Head, AIO 5510
  • Brand: BRAUN
  • Part Number: P_13506
  • Features: Waterproof, Beard, Hair, Ears, Nose, Body, Battery Powered
  • Power Source: Battery Powered
  • Model #: 263318251436
  •  
  • $83.99 –
  • Free Shipping
Manscape Body Hair Trimmer for Men, Waterproof Groin Trimmer, Electric Razor Ball Shaver for Chest Pubic Leg Arm Underarm Back Nose, Rechargeable Wet/Dry Groomer, Black
Quick View
  •  
  • $39.99 –
  • Free Shipping
Nose Hair Trimmer for Men, Painless 3 in 1 Grooming Kit for Nose, Ear, Eyebrow & Body Hair, Rechargeable No Pull No Snag Trimming with 3 Waterproof Replacement Heads, Easy Cleansing
Quick View
Nose Hair Trimmer for Men, Painless 3 in 1 Grooming Kit for Nose, Ear, Eyebrow & Body Hair, Rechargeable No Pull No Snag Trimming with 3 Waterproof Replacement Heads, Easy Cleansing
  • Brand: ULAIDO
  • Part Number: 3 IN1
  • Features: Travel, Nose Hair Trimming, Ear Hair Trimming, Facial Hair Trimming, Body Detail Hair Trimming, usb-c
  • Number of Heads: 3
  • Model #: 480860918092
  •  
  • $51.99 –
  • Free Shipping
MK3 Head Shaver for Bald Men | Wet/Dry, Electric Rotary Razor, Waterproof, Cordless USB-C Rechargeable, With Case
Quick View
MK3 Head Shaver for Bald Men | Wet/Dry, Electric Rotary Razor, Waterproof, Cordless USB-C Rechargeable, With Case
  • Brand: HUMMINGBIRD
  • Series: MK3
  • Part Number: HBRS-001-BLK
  • Type: Rotary
  • Model #: 998097812327
  •  
  • $68.99 –
  • Free Shipping
7D Head Shavers for Bald Men, Close & Smooth Electric Razor for Head, IPX7 Waterproof Wet/Dry Shaving, 5-in-1 Grooming Kit, Ideal for Daily Home Use-Metal Gold
Quick View
  •  
  • $72.99 –
  • Free Shipping
Men's Electric Shaver  Corded and Cordless Rechargeable 3D Rotary Shaver Razor for Men with Pop-up Sideburn Trimmer Wet and Dry, IPX7 Waterproof, Plug & Play
Quick View
  •  
  • $72.99 –
  • Free Shipping
Manscape Body Hair Trimmer - Waterproof Pubic Hair Ball Trimmer, Ceramic Blade Shavers Electric Razors for Men with USB-C Charging, Wet/Dry Use, Nick-Free Mens Grooming Kits, Gifts for Men
Quick View
Manscape Body Hair Trimmer - Waterproof Pubic Hair Ball Trimmer, Ceramic Blade Shavers Electric Razors for Men with USB-C Charging, Wet/Dry Use, Nick-Free Mens Grooming Kits, Gifts for Men
  • Brand: PRITECH
  • Series: Waterproof Pubic Hair Trimmer
  • Part Number: TGEU-PR-3233-Parent
  • Features: Ceramic, Battery Powered, true
  • Model #: 619798892147
  •  
  • $37.99 –
  • Free Shipping
Ultimate Precision Detail Trimmer, Nose, Ear & Eyebrow Trimmer | Surgical Steel Blades for Precise Detailing, 5-Length Adjustable Comb, Dual-Sided Head
Quick View
  •  
  • $53.99 –
  • Free Shipping
BaldiePro Cordless Head Shaver Kit for Bald Men, Waterproof | Complete Grooming Kit Includes BaldiePro Head Shaver, Precision Trimmer, Clipper Guards, And Grooming Accessories
Quick View
  •  
  • $97.99 –
  • Free Shipping